/*
 * $Id: Parameters_test.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Parameters.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Parameters::test"
  void Parameters::test (void)          
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
    Parameters_test x = msg_error();
    
    std::cerr << x.print();

    if (x.have_error())
      throw ERRORMORPHEO (FUNCTION,_("Error(s) in parameters\n"));

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              
